Subject: Re: [Gen-art] Genart last call review of draft-ietf-ipsecme-eddsa-04

From: Alissa Cooper <[email-masked]>
Date: Tue, 23 Jan 2018 13:52:22 -0500

Christer, thanks for your review. I have entered a No Objection ballot.

Alissa

> On Nov 18, 2017, at 2:59 AM, Christer Holmberg <[email-masked]> wrote:
> 
> Reviewer: Christer Holmberg
> Review result: Ready with Nits
> 
> I am the assigned Gen-ART reviewer for this draft. The General Area
> Review Team (Gen-ART) reviews all IETF documents being processed
> by the IESG for the IETF Chair.  Please treat these comments just
> like any other last call comments.
> 
> For more information, please see the FAQ at
> 
> <https://trac.ietf.org/trac/gen/wiki/GenArtfaq>.
> 
> Document: draft-ietf-ipsecme-eddsa-04
> Reviewer: Christer Holmberg
> Review Date: 2017-11-17
> IETF LC End Date: 2017-12-04
> IESG Telechat date: Not scheduled for a telechat
> 
> Summary: The document is well written, and almost ready for publication.
> However, I have some editorial change suggestions that I think would improve
> the readability of the document.
> 
> Major issues: None
> 
> Minor issues: None
> 
> Nits/editorial comments:
> 
> Q1:
> ----
> 
> In the Abstract the text says " Edwards-curve digital signature algorithm",
> without the EdDSA abbreviation, and in the Introduction the text says "EdDSA"
> without the enhancement.
> 
> I suggest to say "Edwards-curve digital signature algorithm (EdDSA)" in the
> first occurrences within the Abstract and the Introduction.
> 
> Q2:
> ----
> 
> In the Introduction the text says "The latter RFC" and "that document". I
> suggest to explicitly use the RFC numbers instead.
> 
> That makes it easier to read, and there is always a theoretical change that
> someone files an errata, or update the text within another RFC, that changes
> the order to the RFCs so that "The latter" etc points to the wrong RFC...
> 
> Q3:
> ----
> 
> In the Introduction the text says:
> 
>   "EdDSA defines the binary format of the signatures that should be used
>   in the "Signature Value" field of the Authentication Data Format in
>   section 3."
> 
> Section 3 of what? I assume you refer section 3 of RFC 8032, so I suggest to
> explicitly say that. Otherwise someone (at least I did) may jump to section 3
> of the draft and start looking.
> 
> The same thing applies to "Appendix A". Please indicate the RFC number.
> 
> Q4:
> ----
> 
> In the Introduction the text says:
> 
> "we define a new value"
> 
> I suggest to say "this document defines a new value".
> 
> Or, you could even say "section 2 of this document defines a new value".
> 
> Q5:
> ----
> 
> In section 3, I suggest to add a reference (URL?) to the hash algorithm
> registry.
> 
> 
> _______________________________________________
> Gen-art mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/gen-art